#! /usr/bin/env python3

#imports the dictionary
d = {}
with open("dictionary") as dictionary:
	for line in dictionary:
		(val, key) = line.split()
		d[key] = val

#sets punctuation to be removed
punct_str = '!"#$%&\'()*+,-./:;<=>/?@[\\]_`{|}~«» '

while True:
	#ask for input
	inp = input("to english: ")
	#strip punctuation and translate
	print(' '.join([d.get(word.strip(punct_str).lower(),word) for word in inp.split()]))
